import request from '@/utils/request'

// 查询证书模板列表
export function listTemp(query) {
  return request({
    url: '/system/temp/list',
    method: 'get',
    params: query
  })
}

// 查询证书模板详细
export function getTemp(id) {
  return request({
    url: '/system/temp/' + id,
    method: 'get'
  })
}

// 新增证书模板
export function addTemp(data) {
  return request({
    url: '/system/temp',
    method: 'post',
    data: data
  })
}

// 修改证书模板
export function updateTemp(data) {
  return request({
    url: '/system/temp',
    method: 'put',
    data: data
  })
}

// 删除证书模板
export function delTemp(id) {
  return request({
    url: '/system/temp/' + id,
    method: 'delete'
  })
}
